Skip to main content
GET
/
api
/
v1
/
workspaces
/
projects
/
{projectId}
/
environments
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/workspaces/projects/{projectId}/environments
[
  {
    "id": "<string>",
    "project_id": "<string>",
    "name": "<string>",
    "display_name": "<string>",
    "sort_order": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "color": "<string>"
  }
]

Path Parameters

projectId
string
required

Response

The request has succeeded.

id
string
required

Environment ID

project_id
string
required

Owning project

name
string
required

Environment name (dev, staging, prod)

display_name
string
required

Display name for UI

sort_order
integer<int32>
required

Sort order for display

created_at
string<date-time>
required

Creation timestamp

color
string

Hex color for UI